net.sf.okapi.lib.xliff2.walker.selector

## Class XliffWalkerPathSelector.Builder

- java.lang.Object
- - net.sf.okapi.lib.xliff2.walker.selector.XliffWalkerPathSelector.Builder

- Enclosing class:
    XliffWalkerPathSelector

      public static class XliffWalkerPathSelector.Builder
      extends java.lang.Object

  Builder class for `XliffWalkerPathSelector`
  Author:
    Vladyslav Mykhalets

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XliffWalkerPathSelector.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XliffWalkerPathSelector.Builder` | `allPaths()`
    `XliffWalkerPathSelector[]` | `build()`
    `XliffWalkerPathSelector.Builder` | `selector(java.lang.String fileId)`
    `XliffWalkerPathSelector.Builder` | `selector(java.lang.String fileId, java.lang.String unitId)`
    `XliffWalkerPathSelector.Builder` | `selector(java.lang.String fileId, java.lang.String unitId, java.lang.Integer segmentIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XliffWalkerPathSelector.Builder

          public XliffWalkerPathSelector.Builder()

  - ### Method Detail

    - #### allPaths

          public XliffWalkerPathSelector.Builder allPaths()

    - #### selector

          public XliffWalkerPathSelector.Builder selector(java.lang.String fileId)

    - #### selector

          public XliffWalkerPathSelector.Builder selector(java.lang.String fileId,
                                                 java.lang.String unitId)

    - #### selector

          public XliffWalkerPathSelector.Builder selector(java.lang.String fileId,
                                                 java.lang.String unitId,
                                                 java.lang.Integer segmentIndex)

    - #### build

          public XliffWalkerPathSelector[] build()